From 4cb0ca16b2b36588287173bc5dae810fa9ece805 Mon Sep 17 00:00:00 2001
From: KDr2 <zhuo@hexoasis.com>
Date: Sat, 28 Apr 2018 11:58:25 +0800
Subject: [PATCH] doc: update doc of catalogs, README of mmgr, etc.

- doc of catalogs: table 'pg_replication_origin' is a shared relation
  but is not mentioned in the doc.

- README of mmgr: make variable names consistent

- trivial error fix in the comment of block.h
---
 doc/src/sgml/catalogs.sgml    | 7 +++++++
 src/backend/utils/mmgr/README | 2 +-
 src/include/storage/block.h   | 2 +-
 3 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 14aeed3076..6dc9249e19 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -5690,6 +5690,13 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
    see <xref linkend="replication-origins"/>.
   </para>
 
+  <para>
+   Unlike most system catalogs, <structname>pg_replication_origin</structname>
+   is shared across all databases of a cluster: There is only one copy
+   of <structname>pg_replication_origin</structname> per cluster, not one per
+   database.
+  </para>
+
   <table>
 
    <title><structname>pg_replication_origin</structname> Columns</title>
diff --git a/src/backend/utils/mmgr/README b/src/backend/utils/mmgr/README
index a42e568d5c..7e6541d0de 100644
--- a/src/backend/utils/mmgr/README
+++ b/src/backend/utils/mmgr/README
@@ -401,7 +401,7 @@ GetMemoryChunkContext())
 
 and then invoke the corresponding method for the context
 
-    context->methods->free_p(p);
+    context->methods->free_p(pointer);
 
 
 More Control Over aset.c Behavior
diff --git a/src/include/storage/block.h b/src/include/storage/block.h
index e2bfa11e37..182aa8d453 100644
--- a/src/include/storage/block.h
+++ b/src/include/storage/block.h
@@ -22,7 +22,7 @@
  * contains exactly one disk block).  the blocks are numbered
  * sequentially, 0 to 0xFFFFFFFE.
  *
- * InvalidBlockNumber is the same thing as P_NEW in buf.h.
+ * InvalidBlockNumber is the same thing as P_NEW in bufmgr.h.
  *
  * the access methods, the buffer manager and the storage manager are
  * more or less the only pieces of code that should be accessing disk
-- 
2.17.0

